Error when updating to 4.0 beta 1 (yes my UDID is on file with a dev)

wildonrio

macrumors 6502
Original poster
Aug 15, 2008
435
7
My UDID is on file with a dev, I confirmed it.

I have tried updating to 4.0 beta by updating from 3.1.3, restoring from Recovery Mode, and restoring from DFU mode. All yield the same error:

"The iPhone could not be restored. An unknown error occurred (13)."

What is the process here for those who have successfully updated to 4.0 beta?
 

nickspohn

macrumors 68040
Jun 9, 2007
3,591
0
Do you have the latest version of iTunes? (9.1)

Try updating on a different computer if you can if nothing else works.

-nick
 

eezing

macrumors 6502
Oct 29, 2008
374
0
What is the process here for those who have successfully updated to 4.0 beta?
I did this for my 3G 8GB:

1. Downloaded beta off of official dev site (i have a dev account).

2. iTunes > Option key + Restore

3. installed and I'm up and running.

Make sure your iTunes is up to date!
 

wildonrio

macrumors 6502
Original poster
Aug 15, 2008
435
7
Do you have the latest version of iTunes? (9.1)

Try updating on a different computer if you can if nothing else works.

-nick
Different computer, some error. I'm on 9.1 too. Crap, now my phone is bricked until I can figure this out.
 

dtlee1974

macrumors regular
Apr 2, 2010
128
30
Yep, same here. Error 13 trying to update on my PC at work but working fine now from my MBP at home. Probably something broken in iTunes on PC.
 

michael31986

macrumors 68040
Jul 11, 2008
3,764
455
HOw can I get4.0 legally. No trying to get banned just asking. Please don't ban me. I want to get it legally I have. 3g but still wanna try some stuff out. I have a pc though.
 

I'm a Mac

macrumors 6502
Nov 5, 2007
437
0
I did this for my 3G 8GB:

1. Downloaded beta off of official dev site (i have a dev account).

2. iTunes > Option key + Restore

3. installed and I'm up and running.

Make sure your iTunes is up to date!
Like you, I have a dev account and I downloaded the 2,1 ipsw file, but I've been scared to click the button- I can deal with a few bugs, I just wanted to know if you had any problems restoring from a backup, as I don't want to lose all that app data, settings, etc. Do third party apps work okay?
 

WYSE

macrumors newbie
Apr 8, 2010
1
0
grr im so mad, i tried installing 4.0 for like 2 hours until i stumbled upon this thread! Apparently from other forums you can only upgrade to 4.0 betas via a Mac. Sucks! I have a PC and i want to install this sooo badly!
 

fraggot

macrumors 6502
Jun 16, 2009
478
4
Louisville, KY
I've had the same error for awhile now and just can't get 4.0 to work. My phone was bricked until I went to my other PC which is running XP instead of Windows 7 64bit and was at least able to restore back to 3.1.3.

I'm wondering if they've made it so it ONLY works on a Mac now. I'll be able to test it tomorrow at work since we used Macs.
 

pesos

macrumors 6502a
Mar 30, 2006
607
142
I also was unable to flash to 4.0 using my main workstation (win7 x64). Had to fire up the macbook I keep around for testing in order to successfully update my 3gs...

(received same error as OP)
 

bmwhd

macrumors 6502a
May 22, 2008
775
2
This truly sucks. I don't have access to a Mac. $99 down the drain. :(
 

Revelation78

macrumors 68000
Dec 18, 2008
1,507
11
North Carolina
This truly sucks. I don't have access to a Mac. $99 down the drain. :(
Really? did you really think otherwise? I'm not trying to be an ***, but seriously you have to have a Mac to develop iPhone apps - Apple isn't going to worry about the PC version of iTunes working just yet.

It will probably come in a Beta of iTunes 9.1.x in a week or so.
 

bmwhd

macrumors 6502a
May 22, 2008
775
2
Really? did you really think otherwise? I'm not trying to be an ***, but seriously you have to have a Mac to develop iPhone apps - Apple isn't going to worry about the PC version of iTunes working just yet.

It will probably come in a Beta of iTunes 9.1.x in a week or so.
Wouldn't kill them to mention that before they take your money (the part about not being able to evaluate the beta).
 

Revelation78

macrumors 68000
Dec 18, 2008
1,507
11
North Carolina
Wouldn't kill them to mention that before they take your money (the part about not being able to evaluate the beta).
The "Beta" is meant for Developers to begin testing their apps and developing newer ones to be ready in time for the official release of 4.0. It's not meant for the average Joe to "beta test" the latest OS, hence why only "paid" developers have access to it.
 

debug77

macrumors newbie
Jun 12, 2009
4
0
That's pretty annoying if it's true about only being able to upgrade via a Mac.

I use a Mac to develop my iPhone apps (of which I have 3 on the store) but I use a PC to sync my iTunes library with.

Could I still upgrade it via the Mac, and then sync back all my tunes/apps on via the PC?

Sorry if I'm derailing the thread... I too had a bricked iPhone after attempting 4.0 upgrade, and ended up having to do a fresh install of 3.1.3 :(
 

TheGoog

macrumors member
Jul 11, 2008
50
43
Same problem here, reports all over the net... here's hopin they get a itunes update out soon enough.
 

bmwhd

macrumors 6502a
May 22, 2008
775
2
The "Beta" is meant for Developers to begin testing their apps and developing newer ones to be ready in time for the official release of 4.0. It's not meant for the average Joe to "beta test" the latest OS, hence why only "paid" developers have access to it.
In the past, we've worked with Apple as beta testers of the Exchange features which, if you do something other than FB and Twitter with your phone, are actually kinda important. I had what I thought was a reasonable expectation of doing the same this time.